Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ltd.getahead.dwr.compat
Class BaseV10Converter

    java.lang.Object
      uk.ltd.getahead.dwr.compat.BaseV10Converter

All Implemented Interfaces:
  Converter

    public abstract class BaseV10Converter

extends java.lang.Object
implements Converter

WARNING: This is not properly implemented yet. A way to migrate from the DWRv1.x Converter style to something in the future. Inheriting from this is advised to help with forwards compatibility.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`BaseV10Converter()`

Method Summary
`OutboundVariable` | `convertOutbound(java.lang.Object data, OutboundContext outctx)` Return a javascript string that defines the variable named varName to have the contents of the converted object data.
`abstract java.lang.String` | `convertOutbound(java.lang.Object data, java.lang.String varname, OutboundContext outctx)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.Converter
`convertInbound, setConverterManager`

Constructor Detail

### BaseV10Converter

    public BaseV10Converter()

Method Detail

### convertOutbound

    public OutboundVariable convertOutbound(java.lang.Object data,
                                            OutboundContext outctx)
                                     throws MarshallException

  Description copied from interface: `Converter`
  Return a javascript string that defines the variable named varName to have the contents of the converted object data.

  In contrast to `convertInbound()` failures in converting data on the way out should not stop processing, and we should carry on if we can. Failures are probably down to some misconfiguration so as much information about the error as can be safely generated to console logs is good. In other words if you need to loop in outbound conversion then it might be a good idea to catch issues inside the loop, log, and carry on.

  Specified by:
    `convertOutbound` in interface `Converter`
  Parameters:
    `data` - The data to convert
    `outctx` - A collection of objects already converted and the results
  Returns:
    The OutboundVariable that represents the data to convert
  Throws:
    `MarshallException` - If the conversion failed for some reason

### convertOutbound

    public abstract java.lang.String convertOutbound(java.lang.Object data,
                                                     java.lang.String varname,
                                                     OutboundContext outctx)
                                              throws MarshallException

  Parameters:
    `varname` - The name of the variable to declare
    `data` - The data to convert
    `outctx` - Objects already converted and the results
  Returns:
    The OutboundVariable that represents the data to convert
  Throws:
    `MarshallException` - If the conversion failed for some reason
  See Also:
    `Converter.convertOutbound(Object, OutboundContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD